[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[project]
name = "ai-usecases-explorer"
version = "0.1.0"
description = "Daily AI use case radar — filters noise, surfaces real value"
requires-python = ">=3.11"
dependencies = [
    "anthropic>=0.40.0",
    "exa-py>=1.0.0",
    "httpx>=0.27.0",
    "pydantic>=2.0.0",
    "pydantic-settings>=2.0.0",
    "rich>=13.0.0",
]

[project.optional-dependencies]
dev = [
    "pytest>=8.0.0",
    "pytest-asyncio>=0.23.0",
    "pytest-httpx>=0.30.0",
    "ruff>=0.3.0",
    "mypy>=1.9.0",
]

[project.scripts]
ai-scout = "ai_usecases_explorer.main:main"
ai-deep-dive = "ai_usecases_explorer.deep_dive.cli:main"

[tool.hatch.build.targets.wheel]
packages = ["src/ai_usecases_explorer"]

[tool.pytest.ini_options]
asyncio_mode = "auto"
testpaths = ["tests"]
markers = [
    "integration: marks tests as integration tests (require real API keys)",
]

[tool.ruff]
line-length = 100
target-version = "py311"

[tool.ruff.lint]
select = ["E", "F", "I", "UP"]

[tool.ruff.lint.per-file-ignores]
"tests/*" = ["E501"]
"src/ai_usecases_explorer/deep_dive/evaluator.py" = ["E501"]
"src/ai_usecases_explorer/deep_dive/analyzer.py" = ["E501"]

[tool.mypy]
python_version = "3.11"
strict = true
ignore_missing_imports = true
